#ifndef BUILDING_H
#define BUILDING_H

#include "basics.h"

#define BLDG_X	(10)
#define BLDG_Y	(10)
#define BLDG_TILEX (85)
#define BLDG_TILEY	(85)
#define BLDG_WIDTH	(8)
#define BLDG_HEIGHT	(6)

// block types
#define BLDG_EMPTY	(0)
#define BLDG_BRICK	(1)
#define BLDG_DOOR	(2)
#define BLDG_WINDOW	(3)

typedef struct building_t
{
	byte type[BLDG_WIDTH*BLDG_HEIGHT+BLDG_WIDTH];
	byte lit[BLDG_WIDTH*BLDG_HEIGHT+BLDG_WIDTH];
} building_t;

extern building_t bldg;

void Building_Init(void);
void Building_Exit(void);

void Building_Render(void);

#endif