#include "font.h"

KGraphic *fontPic;

char fontChart[]={"ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789/!%-:"};

void Font_Init(void)
{
	fontPic=new KGraphic;
	fontPic->loadPicture(KMiscTools::makeFilePath("gfx\\font.png"));
}

void Font_Exit(void)
{
	delete fontPic;
}

void Print(int x,int y,char *txt)
{
	int i,j;

	for(i=0;i<(int)strlen(txt);i++)
	{
		for(j=0;j<(int)strlen(fontChart);j++)
			if(txt[i]==fontChart[j])
			{
				//if(txt[i]=='I' || txt[i]=='!' || txt[i]=='1')
					//x-=6;
				fontPic->blitAlphaRect((float)j*24,0,(float)j*24+24,24,x,y,false,false);
				j=255;
				//if(txt[i]=='I' || txt[i]=='!' || txt[i]=='1')
				//	x-=6;
			}
		x+=24;
	}
}

void PrintFaint(int x,int y,char *txt)
{
	int i,j;

	for(i=0;i<(int)strlen(txt);i++)
	{
		for(j=0;j<(int)strlen(fontChart);j++)
			if(txt[i]==fontChart[j])
			{
				//if(txt[i]=='I' || txt[i]=='!' || txt[i]=='1')
				//	x-=6;
				fontPic->blitAlphaRectFx((float)j*24,0,(float)j*24+24,24,x,y,0,0.6f,0.5f,false,false);
				j=255;
				//if(txt[i]=='I' || txt[i]=='!' || txt[i]=='1')
					//x-=6;
			}
		x+=24;
	}
}

